  PROGRAM

  INCLUDE('sbpqrclass.inc')

  MAP
  END

qr                            SbpQRClass
Token                         STRING(100)
order_id                      STRING(36)
order                         LIKE(OrderCreateParamGroup)
orderDetails                  LIKE(OrderCreateDetailGroup)
registry                      LIKE(OrderRegistryParamGroup)
revoke                        LIKE(OrderRevokeParamGroup)
status                        LIKE(OrderStatusParamGroup)

  CODE
  qr.Init('00000000', |                        !  .     
  '00000000', |                                !   -   .     
  '00000000-0000-0000-0000-000000000000', |    ! ClientID -    ,  
  '00000000-0000-0000-0000-000000000000', |    ! ClientSecret -  
  'sea@nkteh.ru.p12', |                        !    -        
  'p12', |                                     !  () 
  'xxxxxxxxxxxxxxxxxxxx')                      !  

  qr.SetTimeOffset(-7) !    

  IF qr.GetToken(SBP_SCOPES)
    RETURN
  END

  order_id = qr.GetGUID()

!  !  
!  !    
!  order.order_number       = order_id
!  order.order_create_date  = TODAY()
!  order.order_create_time  = CLOCK()
!  order.order_sum          = 1.10
!  order.currency           = SBP_ROUBLE
!  order.description        = 'Test order'
!
!  orderDetails.position_name  = 'Test position'
!  orderDetails.position_count = 1
!  orderDetails.position_sum   = 1.10
!  orderDetails.position_description = 'Test position'
!
!  IF NOT qr.OrderCreate(order, orderDetails)
!    MESSAGE(': ' & order.order_id& |
!    '<13,10> : ' & order.order_state& |
!    '<13,10>  Qr : ' & order.order_form_url)
!  END

!  !    QR    
!  qr.GetQRImageFile(order.order_form_url)

!  !   
!  status.order_id = order.order_id
!  status.partner_order_number = order_id
!  IF NOT qr.OrderStatus(status)
!    MESSAGE(' : ' & status.order_id& |
!    '<13,10> : ' & status.order_state)
!  END

!  !      
!  revoke.order_id = order.order_id
!  IF NOT qr.OrderRevoke(revoke)
!    MESSAGE(' : ' & revoke.order_id& |
!    '<13,10> : ' & revoke.order_state)
!  END

  !  
  registry.startPeriod = TODAY()-2
  registry.endPeriod = TODAY()+1
  registry.registryType = SBP_RG_REGISTRY
  IF NOT qr.OrderRegistry(registry)
    MESSAGE(' !!!')
  END
